import { FC } from 'react';
export declare const HOURLY_TYPE = "hourly";
export declare const ANNUAL_TYPE = "annual";
export declare type SalaryTypes = typeof HOURLY_TYPE | typeof ANNUAL_TYPE;
export declare const salaryParams: {
    hourly: {
        defaultValue: number[];
        min: number;
        max: number;
        step: number;
        minDistance: number;
    };
    annual: {
        defaultValue: number[];
        min: number;
        max: number;
        step: number;
        minDistance: number;
    };
};
declare type PropsInput = {
    id: string;
    onChange: (type: SalaryTypes, value: number[]) => void;
    type: SalaryTypes;
    value: number[];
    t: {
        hourly: string;
        annual: string;
    };
    input: true;
};
declare type PropsPreview = {
    id?: never;
    onChange?: never;
    type: SalaryTypes;
    value: number[];
    t?: {
        hourly: never;
        annual: never;
    };
    input?: never;
};
declare const Salary: FC<PropsInput | PropsPreview>;
export default Salary;
